# SPEC file for Perl library for mod_perl  libapreq 

%define version 1.34
%define release alt1

Name: perl-libapreq
Version: %version
Release: alt1.1

Summary: Apache Request C Library, primary for working with mod_perl
Summary(ru_RU.UTF-8): Apache Request C Library, предназначена для работы с mod_perl

Group: Development/Perl
License: Apache Software Licence v. 2.0
URL: http://httpd.apache.org/apreq/
#URL: http://search.cpan.org/author/JIMW/libapreq/

Packager: Nikolay A. Fetisov <naf@altlinux.ru>

%define real_name libapreq
Source: %real_name-%version.tar

AutoReqProv: perl, yes
BuildRequires(pre): perl-devel, apache-mod_perl
Requires: perl, apache-mod_perl

%description
libapreq  -  Apache Request C Library, with 3 mod_perl modules: 
Apache::Cookie, for working with HTTP Cookies, Apache::Request, 
with methods for dealing with client request data and 
Apache::libapreq, with general interface to C library.

%description -l ru_RU.UTF-8
libapreq - Apache Request C Library, содержит 3 модуля для mod_perl:
Apache::Cookie, для работы с HTTP Cookies, 
Apache::Request, с методами для обработки данных запросов клиентов и
Apache::libapreq, с общим интерфейсом к библиотеке на C.

%prep
%setup -q -n %real_name-%version
mv -f -- LICENSE LICENSE.orig
ln -s -- $(relative %_licensedir/Apache-2.0 %_docdir/%name/LICENSE) LICENSE

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes ToDo eg/*
%doc --no-dereference LICENSE

%perl_vendor_archlib/Apache/Cookie.pm
%perl_vendor_archlib/Apache/Request.pm
%perl_vendor_archlib/Apache/libapreq.pm
%perl_vendor_archlib/libapreq.pod

%perl_vendor_autolib/Apache/Cookie*
%perl_vendor_autolib/Apache/Request*
%perl_vendor_autolib/libapreq*

%exclude /.perl.req

%changelog
* Sun Nov 07 2010 Vladimir Lettiev <crux@altlinux.ru> 1.34-alt1.1
- rebuilt with perl 5.12

* Sat Oct 17 2009 Nikolay A. Fetisov <naf@altlinux.ru> 1.34-alt1
- New version 1.34

* Mon Dec 15 2008 Nikolay A. Fetisov <naf@altlinux.ru> 1.33-alt3
- Fix requirements on apache-mod_perl

* Fri Aug 10 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.33-alt2
- Fix typo in package description

* Mon Jan 8 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.33-alt1
- Initial build for ALT Linux Sisyphus

* Sat Sep 16 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.33-alt0
- New version 1.33

* Thu Jan 08 2004 Nikolay A. Fetisov <naf@ssc.ru> 1.3-ssc1
- Moving to 1.3

* Sat Nov 09 2002 Nikolay Fetisov <naf@ssc.ru> 1.0-ssc1
- First build
